This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
PATCH: [perl #134405] Compiler warnings in blead
authorKarl Williamson <khw@cpan.org>
Wed, 11 Sep 2019 22:22:15 +0000 (16:22 -0600)
committerKarl Williamson <khw@cpan.org>
Fri, 13 Sep 2019 03:36:38 +0000 (21:36 -0600)
commit238965b4f5bba9e8e2693c09675ca8a1a49a4ec7
treef0d96efd3b02fbd46a56c705dec97fefa28524c6
parentda006e4432402cea01c9018743467314377e3c1e
PATCH: [perl #134405] Compiler warnings in blead

This was caused by functions that should have been deprecated all along,
and now are.  But they are still called in places.  In most instances
one deprecated function is a wrapper for another.  In one instance, the
calling of the function is to just make sure that mathoms.o gets linked
to.

The solution adopted here, some of which was suggested by Tony Cook, is
to use #pragmas to silence the warnings.  By doing this around the
entirety of mathoms.c, future issues will most likely be avoided.  And
there are unlikely to enough future cases outside of mathoms to cause a
problem.
intrpvar.h
mathoms.c
sv.c